@import 'blocks.app/Mixins/Mixins';
$buyTicketWidth: 330px;

.wrapper {
  padding-top: 15px;
  padding-bottom: 175px;
}

.header {
  margin-left: -15px;
  margin-right: -15px;
}

.buyTicket {
  padding: 14px;
  display: block;
  position: fixed;
  bottom: 25px;
  width: $buyTicketWidth;
  left: calc(50% - #{$buyTicketWidth/2});
  &:hover a {
    text-decoration: none;
  }
  background-color: $white;
  @media (max-width: $buyTicketWidth) {
    width: 100%;
    left: 0;
    padding: 5px;
  }
}

.view {
  position: fixed;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  opacity: 0;
  transition: opacity 600ms ease-out 600ms;
  z-index: 1000;
}

.showView {
  opacity: 1;
}

.ticketButtonLg {
  display: block;
  @media (max-width: $buyTicketWidth) {
    display: none;
  }
}

.ticketButtonSm {
  display: none;
  @media (max-width: $buyTicketWidth) {
    display: block;
  }
}

.select {
  font-size: 16px;
  width: 100%;
  background-color: $white;
  border: thin solid $info;
  border-radius: 0;
  display: inline-block;
  line-height: 1.5em;
  padding: 0.5em 1.5em 0.5em 0.5em;
  cursor: pointer;

  margin: 0;
  -webkit-box-sizing: border-box;
  -moz-box-sizing: border-box;
  box-sizing: border-box;
  -webkit-appearance: none;
  -moz-appearance: none;

  background-image:
    linear-gradient(45deg, transparent 50%, $info 50%),
    linear-gradient(135deg, $info 50%, transparent 50%),
    linear-gradient(to right, $white, $white);
  background-position:
    calc(100% - 13px) calc(1em + 2px),
    calc(100% - 8px) calc(1em + 2px),
    100% 0;
  background-size:
    5px 5px,
    5px 5px,
    2.5em 2.5em;
  background-repeat: no-repeat;

  &:focus {
    outline: 0;
  }
  @media (max-width: $buyTicketWidth) {
    font-size: 13px;
  }
}

.input {
  @extend .select;
  background-image: none;
}

.icon {
  cursor: pointer;
  top: 60px;
  right: calc(50% - 23px);
  padding: 8px;
  position: absolute;
  color: #FFFFFF;
  background: rgba(0, 0, 0, 0.8);
  border-radius: 6px;
  path {
    fill: currentcolor;
  }
}
